#include <TObject.h>
#include <MyDect2Level2.h>
ClassImp(MyDect2TrkVar);
ClassImp(MyDect2Level2);

MyDect2TrkVar::MyDect2TrkVar() {
  trkseqno = 0;
  mytrkvar = 0;
}

MyDect2TrkVar::MyDect2TrkVar(const MyDect2TrkVar &t){
  mytrkvar = t.mytrkvar;  
  trkseqno = t.trkseqno;  
}

MyDect2Level2::MyDect2Level2() {    
  //
  myTrk = new TClonesArray("MyDect2TrkVar",1);
  //
  myvar1 = 0;
  myvar2 = 0;
  myvar3 = 0.;
};

MyDect2TrkVar *MyDect2Level2::GetMyDect2TrkVar(Int_t itrk){
  //    
  if(itrk >= ntrk()){
    printf(" MyDect2Level2 ERROR: track related variables set %i does not exists! \n",itrk);
    printf("                      stored track related variables = %i \n",ntrk());
    return(NULL);
  }
  //
  TClonesArray &t = *(myTrk);
  MyDect2TrkVar *mytrack = (MyDect2TrkVar*)t[itrk];
  return mytrack;
}
